Recent

Author Topic: Unable to compile goverlay  (Read 217 times)

bullittproof

  • Newbie
  • Posts: 1
Unable to compile goverlay
« on: October 23, 2022, 09:49:30 pm »
Hey guys. I am very new to Lazarus and FPC. I am trying to use Lazarus via the terminal to compile goverlay. I have installed Lazarus and it is able to be run with startlazarus
When I run the make or lazbuild -B goverlay.lpi command in the goverlay folder, the error below appears. Any ideas? Would this be an issue with my installation?

(9022) Compiling resource /home/jonathan/goverlay/lib/x86_64-linux/goverlay.or
(9015) Linking /home/jonathan/goverlay/goverlay
/usr/bin/ld: /usr/local/share/lazarus/lcl/units/x86_64-linux/qt5/qtint.o: in function CREATE': /usr/local/share/lazarus/lcl/interfaces//qt5/qtobject.inc:43: undefined reference to QGuiApplication_setFallbackSessionManagementEnabled'
/home/jonathan/goverlay/goverlay.lpr(27,1) Error: (9013) Error while linking
/home/jonathan/goverlay/goverlay.lpr(27,1) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /usr/bin/ppcx64 returned an error exitcode
Error: (lazarus) Compile Project, Mode: Default, Target: goverlay: stopped with exit code 1
Error: (lazbuild) failed compiling of project /home/jonathan/goverlay/goverlay.lpi

Martin_fr

  • Administrator
  • Hero Member
  • *
  • Posts: 8620
  • Debugger - SynEdit - and more
    • wiki
Re: Unable to compile goverlay
« Reply #1 on: October 24, 2022, 11:08:40 am »
Google gets this https://gitlab.com/freepascal.org/lazarus/lazarus/-/issues/39676
Seems it requires a newly build lib.

 

TinyPortal © 2005-2018